Secunia CSI7
Advisories
Research
Forums
Create Profile
Our Commitment
Database
Search
Advisories by Product
Advisories by Vendor
Terminology
Report Vulnerability
Insecure Library Loading
Less critical

cPanel Multiple Vulnerabilities

-

Release Date:  2013-08-14    Views:  1,012

Secunia Advisory SA54455

Where:

From remote

Impact:

Hijacking, Manipulation of data

Solution Status:

Vendor Patch

Software:

CVE Reference(s):

No CVE references.

Description


Rack911 has reported multiple vulnerabilities in cPanel, which can be exploited by malicious users to hijack domains and manipulate certain data.

1) An error when suspending accounts can be exploited to manipulate certain files.

2) An error within cpsrvd when handling DNSAdmin cluster requests can be exploited to e.g. manipulate DNS zones of other accounts.

Successful exploitation of this vulnerability requires a reseller account with "clustering" privileges.

3) The application does not properly verify permissions when handling parked domains, which can be exploited to hijack domains hosted on the same server or DNS cluster.

Successful exploitation of this vulnerability requires a reseller account with "park-dns" privileges.

4) An error related to "Purchase and Install an SSL Certificate" feature can be exploited to overwrite arbitrary files.

Successful exploitation of this vulnerability requires a reseller account with "ssl" or "ssl-buy" privileges.

The vulnerabilities are reported in versions prior to 11.32.6.17, 11.34.1.25, 11.36.1.15, 11.38.1.13, and 11.39.0.5.


Solution:
Update to version 11.32.6.17, 11.34.1.25, 11.36.1.15, 11.38.1.13, or 11.39.0.5.

Further details available to Secunia VIM customers

Provided and/or discovered by:
Rack911

Original Advisory:
cPanel:
http://cpanel.net/tsr-2013-0008-disclosure/

Rack911:
https://blog.rack911.com/security-advisories/cpanel-content-manipulation-r911-0041/
https://blog.rack911.com/security-advisories/cpanel-content-manipulation-r911-0042/
https://blog.rack911.com/security-advisories/cpanel-content-manipulation-r911-0043/
https://blog.rack911.com/security-advisories/cpanel-content-manipulation-r911-0044/

Deep Links:
Links available to Secunia VIM customers

Do you have additional information related to this advisory?

Please provide information about patches, mitigating factors, new versions, exploits, faulty patches, links, and other relevant data by posting comments to this Advisory. You can also send this information to vuln@secunia.com

Subject: cPanel Multiple Vulnerabilities

No posts yet

-

You must be logged in to post a comment.



 Products Solutions Customers Partner Resources Company
 
 Corporate
Vulnerability Intelligence Manager (VIM)
Corporate Software Inspector (CSI)
Consumer
Personal Software Inspector (PSI)
Online Software Inspector (OSI)
 Industry
Compliance
Technology
Integration
 Customers
Testimonials
 VARS
MSSP
Technology Partners
References
 Factsheets
Reports
Webinars
Events
 About us
Careers
Memberships
Newsroom


 
© 2002-2014 Secunia ApS - Rued Langgaards Vej 8, 4th floor, DK-2300 Copenhagen, Denmark - +45 7020 5144
Terms & Conditions and Copyright - Privacy - Report Vulnerability